org.apache.iotdb.jdbc

## Class IoTDBMetadataResultSet

- java.lang.Object
- - org.apache.iotdb.jdbc.IoTDBQueryResultSet
  - - org.apache.iotdb.jdbc.IoTDBMetadataResultSet

All Implemented Interfaces:
  AutoCloseable, ResultSet, Wrapper

    public class IoTDBMetadataResultSet
    extends IoTDBQueryResultSet

### Nested Class Summary

Nested Classes
`static class` `IoTDBMetadataResultSet.MetadataType`

### Field Summary

Fields
`static String` `GET_STRING_COLUMN`
`static String` `GET_STRING_STORAGE_GROUP`
`static String` `GET_STRING_TIMESERIES_DATATYPE`
`static String` `GET_STRING_TIMESERIES_ENCODING`
`static String` `GET_STRING_TIMESERIES_NAME`
`static String` `GET_STRING_TIMESERIES_STORAGE_GROUP`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
Constructor and Description
`IoTDBMetadataResultSet(List<String> columns, Set<String> storageGroupSet, List<List<String>> showTimeseriesList)` Constructor used for the result of DatabaseMetadata.getColumns()

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `findColumn(String columnName)`
`BigDecimal` `getBigDecimal(int columnIndex)`
`BigDecimal` `getBigDecimal(int columnIndex, int scale)`
`BigDecimal` `getBigDecimal(String columnName)`
`BigDecimal` `getBigDecimal(String columnName, int scale)`
`boolean` `getBoolean(int columnIndex)`
`boolean` `getBoolean(String columnName)`
`byte` `getByte(int columnIndex)`
`byte` `getByte(String columnName)`
`byte[]` `getBytes(int columnIndex)`
`byte[]` `getBytes(String columnName)`
`int` `getConcurrency()`
`Date` `getDate(int columnIndex)`
`Date` `getDate(String columnName)`
`double` `getDouble(int columnIndex)`
`double` `getDouble(String columnName)`
`int` `getFetchDirection()`
`float` `getFloat(int columnIndex)`
`float` `getFloat(String columnName)`
`int` `getInt(int columnIndex)`
`int` `getInt(String columnName)`
`long` `getLong(int columnIndex)`
`long` `getLong(String columnName)`
`ResultSetMetaData` `getMetaData()`
`Object` `getObject(int columnIndex)`
`Object` `getObject(String columnName)`
`short` `getShort(int columnIndex)`
`short` `getShort(String columnName)`
`Statement` `getStatement()`
`String` `getString(int columnIndex)`
`String` `getString(String columnName)`
`Time` `getTime(int columnIndex)`
`Time` `getTime(String columnName)`
`int` `getType()`
`SQLWarning` `getWarnings()`
`boolean` `isClosed()`
`boolean` `next()`
`boolean` `wasNull()`

### Methods inherited from class org.apache.iotdb.jdbc.IoTDBQueryResultSet

`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, close, deleteRow, first, getArray, getArray, getAsciiStream, getAsciiStream, getBinaryStream, getBinaryStream, getBlob, getBlob, getCharacterStream, getCharacterStream, getClob, getClob, getCursorName, getDate, getDate, getFetchSize, getHoldability, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getRowId, getRowId, getSQLXML, getSQLXML, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getUnicodeStream, getUnicodeStream, getURL, getURL, insertRow, isAfterLast, isBeforeFirst, isFirst, isIgnoreTimeStamp, isLast, isWrapperFor, last, moveToCurrentRow, moveToInsertRow, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, setIgnoreTimeStamp, unwrap, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`updateObject, updateObject, updateObject, updateObject`

### Field Detail

#### GET_STRING_COLUMN

    public static final String GET_STRING_COLUMN

See Also:
  Constant Field Values

#### GET_STRING_STORAGE_GROUP

    public static final String GET_STRING_STORAGE_GROUP

See Also:
  Constant Field Values

#### GET_STRING_TIMESERIES_NAME

    public static final String GET_STRING_TIMESERIES_NAME

See Also:
  Constant Field Values

#### GET_STRING_TIMESERIES_STORAGE_GROUP

    public static final String GET_STRING_TIMESERIES_STORAGE_GROUP

See Also:
  Constant Field Values

#### GET_STRING_TIMESERIES_DATATYPE

    public static final String GET_STRING_TIMESERIES_DATATYPE

See Also:
  Constant Field Values

#### GET_STRING_TIMESERIES_ENCODING

    public static final String GET_STRING_TIMESERIES_ENCODING

See Also:
  Constant Field Values

### Constructor Detail

#### IoTDBMetadataResultSet

    public IoTDBMetadataResultSet(List<String> columns,
                                  Set<String> storageGroupSet,
                                  List<List<String>> showTimeseriesList)
                           throws SQLException

Constructor used for the result of DatabaseMetadata.getColumns()

Throws:
  `SQLException`

### Method Detail

#### findColumn

    public int findColumn(String columnName)
                   throws SQLException

Specified by:
  `findColumn` in interface `ResultSet`
Overrides:
  `findColumn` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal(int columnIndex)
                             throws SQLException

Specified by:
  `getBigDecimal` in interface `ResultSet`
Overrides:
  `getBigDecimal` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal(String columnName)
                             throws SQLException

Specified by:
  `getBigDecimal` in interface `ResultSet`
Overrides:
  `getBigDecimal` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal(int columnIndex,
                                    int scale)
                             throws SQLException

Specified by:
  `getBigDecimal` in interface `ResultSet`
Overrides:
  `getBigDecimal` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal(String columnName,
                                    int scale)
                             throws SQLException

Specified by:
  `getBigDecimal` in interface `ResultSet`
Overrides:
  `getBigDecimal` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getBoolean

    public boolean getBoolean(int columnIndex)
                       throws SQLException

Specified by:
  `getBoolean` in interface `ResultSet`
Overrides:
  `getBoolean` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getBoolean

    public boolean getBoolean(String columnName)
                       throws SQLException

Specified by:
  `getBoolean` in interface `ResultSet`
Overrides:
  `getBoolean` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getByte

    public byte getByte(int columnIndex)
                 throws SQLException

Specified by:
  `getByte` in interface `ResultSet`
Overrides:
  `getByte` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getByte

    public byte getByte(String columnName)
                 throws SQLException

Specified by:
  `getByte` in interface `ResultSet`
Overrides:
  `getByte` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getBytes

    public byte[] getBytes(int columnIndex)
                    throws SQLException

Specified by:
  `getBytes` in interface `ResultSet`
Overrides:
  `getBytes` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getBytes

    public byte[] getBytes(String columnName)
                    throws SQLException

Specified by:
  `getBytes` in interface `ResultSet`
Overrides:
  `getBytes` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getConcurrency

    public int getConcurrency()
                       throws SQLException

Specified by:
  `getConcurrency` in interface `ResultSet`
Overrides:
  `getConcurrency` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getDate

    public Date getDate(int columnIndex)
                 throws SQLException

Specified by:
  `getDate` in interface `ResultSet`
Overrides:
  `getDate` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getDate

    public Date getDate(String columnName)
                 throws SQLException

Specified by:
  `getDate` in interface `ResultSet`
Overrides:
  `getDate` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getDouble

    public double getDouble(int columnIndex)
                     throws SQLException

Specified by:
  `getDouble` in interface `ResultSet`
Overrides:
  `getDouble` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getDouble

    public double getDouble(String columnName)
                     throws SQLException

Specified by:
  `getDouble` in interface `ResultSet`
Overrides:
  `getDouble` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getFetchDirection

    public int getFetchDirection()
                          throws SQLException

Specified by:
  `getFetchDirection` in interface `ResultSet`
Overrides:
  `getFetchDirection` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getFloat

    public float getFloat(int columnIndex)
                   throws SQLException

Specified by:
  `getFloat` in interface `ResultSet`
Overrides:
  `getFloat` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getFloat

    public float getFloat(String columnName)
                   throws SQLException

Specified by:
  `getFloat` in interface `ResultSet`
Overrides:
  `getFloat` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getInt

    public int getInt(int columnIndex)
               throws SQLException

Specified by:
  `getInt` in interface `ResultSet`
Overrides:
  `getInt` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getInt

    public int getInt(String columnName)
               throws SQLException

Specified by:
  `getInt` in interface `ResultSet`
Overrides:
  `getInt` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getLong

    public long getLong(int columnIndex)
                 throws SQLException

Specified by:
  `getLong` in interface `ResultSet`
Overrides:
  `getLong` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getLong

    public long getLong(String columnName)
                 throws SQLException

Specified by:
  `getLong` in interface `ResultSet`
Overrides:
  `getLong` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getMetaData

    public ResultSetMetaData getMetaData()
                                  throws SQLException

Specified by:
  `getMetaData` in interface `ResultSet`
Overrides:
  `getMetaData` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### next

    public boolean next()
                 throws SQLException

Specified by:
  `next` in interface `ResultSet`
Overrides:
  `next` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getObject

    public Object getObject(int columnIndex)
                     throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Overrides:
  `getObject` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getObject

    public Object getObject(String columnName)
                     throws SQLException

Specified by:
  `getObject` in interface `ResultSet`
Overrides:
  `getObject` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getShort

    public short getShort(int columnIndex)
                   throws SQLException

Specified by:
  `getShort` in interface `ResultSet`
Overrides:
  `getShort` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getShort

    public short getShort(String columnName)
                   throws SQLException

Specified by:
  `getShort` in interface `ResultSet`
Overrides:
  `getShort` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getStatement

    public Statement getStatement()
                           throws SQLException

Specified by:
  `getStatement` in interface `ResultSet`
Overrides:
  `getStatement` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getString

    public String getString(int columnIndex)
                     throws SQLException

Specified by:
  `getString` in interface `ResultSet`
Overrides:
  `getString` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getString

    public String getString(String columnName)
                     throws SQLException

Specified by:
  `getString` in interface `ResultSet`
Overrides:
  `getString` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getTime

    public Time getTime(int columnIndex)
                 throws SQLException

Specified by:
  `getTime` in interface `ResultSet`
Overrides:
  `getTime` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getTime

    public Time getTime(String columnName)
                 throws SQLException

Specified by:
  `getTime` in interface `ResultSet`
Overrides:
  `getTime` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getType

    public int getType()
                throws SQLException

Specified by:
  `getType` in interface `ResultSet`
Overrides:
  `getType` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### getWarnings

    public SQLWarning getWarnings()
                           throws SQLException

Specified by:
  `getWarnings` in interface `ResultSet`
Overrides:
  `getWarnings` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### isClosed

    public boolean isClosed()
                     throws SQLException

Specified by:
  `isClosed` in interface `ResultSet`
Overrides:
  `isClosed` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`

#### wasNull

    public boolean wasNull()
                    throws SQLException

Specified by:
  `wasNull` in interface `ResultSet`
Overrides:
  `wasNull` in class `IoTDBQueryResultSet`
Throws:
  `SQLException`